MPD: ConfigParam Struct Reference

MPD 0.20.15

Public Member Functions | Data Fields
ConfigParam Struct Reference

`#include <Param.hxx>`

Collaboration diagram for ConfigParam:
[legend]

## Public Member Functions
| ConfigParam (int _line=-1)
gcc_nonnull_all | ConfigParam (const char *_value, int _line=-1)
| ConfigParam (const ConfigParam &)=delete
| ~ConfigParam ()
ConfigParam & | operator= (const ConfigParam &)=delete
bool | IsNull () const
| Determine if this is a "null" instance, i.e. More...
AllocatedPath | GetPath () const
| Parse the value as a path. More...

## Data Fields
ConfigParam * | next
| The next ConfigParam with the same name. More...
std::string | value
int | line
bool | used
| This flag is false when nobody has queried the value of this option yet. More...

## Detailed Description

Definition at line 30 of file Param.hxx.

## Constructor & Destructor Documentation

## ◆ ConfigParam() [1/3]

ConfigParam::ConfigParam | ( | int | _line = `-1` | ) |
| inlineexplicit

Definition at line 47 of file Param.hxx.

## ◆ ConfigParam() [2/3]

gcc_nonnull_all ConfigParam::ConfigParam | ( | const char * | _value,
|  | int | _line = `-1`
| ) |  |

## ◆ ConfigParam() [3/3]

ConfigParam::ConfigParam | ( | const ConfigParam & |  | ) |
| delete

## ◆ ~ConfigParam()

ConfigParam::~ConfigParam | ( |  | ) |

## Member Function Documentation

## ◆ GetPath()

AllocatedPath ConfigParam::GetPath | ( |  | ) | const

Parse the value as a path.

If there is a tilde prefix, it is expanded.

Throws #std::runtime_error on error.

## ◆ IsNull()

bool ConfigParam::IsNull | ( |  | ) | const
| inline

Determine if this is a "null" instance, i.e.

an empty object that was synthesized and not loaded from a configuration file.

Definition at line 64 of file Param.hxx.

## ◆ operator=()

ConfigParam& ConfigParam::operator= | ( | const ConfigParam & |  | ) |
| delete

## Field Documentation

## ◆ line

int ConfigParam::line

Definition at line 39 of file Param.hxx.

## ◆ next

ConfigParam* ConfigParam::next

The next ConfigParam with the same name.

The destructor deletes the whole chain.

Definition at line 35 of file Param.hxx.

## ◆ used

bool ConfigParam::used

This flag is false when nobody has queried the value of this option yet.

Definition at line 45 of file Param.hxx.

## ◆ value

std::string ConfigParam::value

Definition at line 37 of file Param.hxx.

The documentation for this struct was generated from the following file:

- config/Param.hxx